(VCL) I get ‘Unit ... was compiled with a different version of ...’ error.

The error is caused by a conflict between different versions of SecureBlackbox units, which you probably installed in different moments of time.

The solution is:

  1. Use Uninstall SecureBlackbox command from Start Menu -> Programs -> EldoS -> SecureBlackbox to uninstall SecureBlackbox.
  2. Perform a search for all files that match the following masks: "SB*.*", "*BBox*.*" on all your hard drives.
  3. Remove all the found files (some entries with BPL extension will be found in %SYSTEMROOT%\System32 directory).
  4. Delete the folder to which you installed SecureBlackbox.
  5. Install SecureBlackbox again.

This should solve the problem.

Ready to get started?

Learn more about SecureBlackbox or download a free trial.

Download Now